
Redmine - Feature #36771

RSS Feed of all Projects

2022-03-16 13:23 - Gernot Ploiner

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Feeds Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

For my Browser-Bookmarks I need a RSS/Atom Feed, which delivers a list of all Projects. With a Link to each Ticket page.

It should be like here: https://www.redmine.org/projects

But the Atom-Feed on this page delivers the "newest projects" instead of "all projects" as in the HTML view.

Is there any way to get this?

Thank you for your support.

History

#1 - 2022-03-28 08:23 - Gernot Ploiner

I took a look to the plugins, but there is no match :(

Has anyone another idea?

#2 - 2022-04-05 09:13 - Gernot Ploiner

The Feed from this page (bottom): https://www.redmine.org/projects delivers also hidden Projects. I need only active.

I found an API, but is this the only way? :(

#3 - 2022-05-04 10:38 - Go MAEDA

Gernot Ploiner wrote:

But the Atom-Feed on this page delivers the "newest projects" instead of "all projects" as in the HTML view.

Is there any way to get this?

 I think you can get all projects via the feed by increasing the value of "Maximum number of items in Atom feeds" in Administration > Settings >

General.

#4 - 2022-05-04 14:19 - Gernot Ploiner

- Status changed from New to Resolved

Yeah, thats it :) Thank you

#5 - 2022-05-05 07:33 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback. Closing.
